SliceByNamesReadCommand (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class SliceByNamesReadCommand

- java.lang.Object
- - org.apache.cassandra.db.ReadCommand
  - - org.apache.cassandra.db.SliceByNamesReadCommand

- All Implemented Interfaces:
    IReadCommand, Pageable

      public class SliceByNamesReadCommand
      extends ReadCommand

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.ReadCommand

      `ReadCommand.Type`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.service.pager.Pageable

      `Pageable.ReadCommands`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `NamesQueryFilter` | `filter`

    - ### Fields inherited from class org.apache.cassandra.db.ReadCommand

      `cfName, commandType, key, ksName, timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SliceByNamesReadCommand(java.lang.String keyspaceName, java.nio.ByteBuffer key, java.lang.String cfName, long timestamp, NamesQueryFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadCommand` | `copy()`
    `IDiskAtomFilter` | `filter()`
    `Row` | `getRow(Keyspace keyspace)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.db.ReadCommand

      `create, createMessage, getColumnFamilyName, getKeyspace, getTimeout, isDigestQuery, maybeGenerateRetryCommand, maybeTrim, setDigestQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filter

          public final NamesQueryFilter filter

  - ### Constructor Detail

    - #### SliceByNamesReadCommand

          public SliceByNamesReadCommand(java.lang.String keyspaceName,
                                 java.nio.ByteBuffer key,
                                 java.lang.String cfName,
                                 long timestamp,
                                 NamesQueryFilter filter)

  - ### Method Detail

    - #### copy

          public ReadCommand copy()

      Specified by:
        `copy` in class `ReadCommand`

    - #### getRow

          public Row getRow(Keyspace keyspace)

      Specified by:
        `getRow` in class `ReadCommand`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### filter

          public IDiskAtomFilter filter()

      Specified by:
        `filter` in class `ReadCommand`

Copyright © 2014 The Apache Software Foundation